IRPCVaultLoginsAdmin.GetOrganizationalUnitsForDomainInVault

View as Markdown

Administration API / specialized admin session idempotent

Lists the organizational units of a domain.

ServiceVault login accounts MFiles.IRPCVaultLoginsAdmin
gRPC method/MFiles.IRPCVaultLoginsAdmin/GetOrganizationalUnitsForDomainInVault
HTTP (mf-http-grpc)POST /grpc/v1/get-organizational-units-for-domain-in-vault
RequestGetOrganizationalUnitsForDomainInVaultRequest
ResponseGetOrganizationalUnitsForDomainInVaultResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetOrganizationalUnitsForDomainInVaultRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
domainstringThe domain name in NT format, for example CONTOSO.

Response: GetOrganizationalUnitsForDomainInVaultResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
ous[]repeated DirectoryItemThe organizational units. See DirectoryItem.
ous[].distinguished_namestringThe distinguished name of the directory item, e.g. "CN=gr01,OU=orgunit,DC=domain,DC=com"
ous[].display_namestringName of the directory object as displayed in user interface.